package leigh.mecha.nodegraph;

public class NodeAttribute {
    private boolean hasInputSocket;
    private boolean hasOutputSocket;
    private String label;
    private String name;

    public NodeAttribute(String name, String label) {
        this.name = name;
        this.label = label;
    }

    public NodeAttribute(String name) {
        this(name, name);
    }

    public boolean isHasInputSocket() {
        return hasInputSocket;
    }

    @Override
    public String toString() {
        return "NodeAttribute{" +
                "hasInputSocket=" + hasInputSocket +
                ", hasOutputSocket=" + hasOutputSocket +
                ", label='" + label + '\'' +
                ", name='" + name + '\'' +
                '}';
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public NodeAttribute setHasInputSocket(boolean hasInputSocket) {
        this.hasInputSocket = hasInputSocket;
        return this;
    }

    public boolean isHasOutputSocket() {
        return hasOutputSocket;
    }

    public NodeAttribute setHasOutputSocket(boolean hasOutputSocket) {
        this.hasOutputSocket = hasOutputSocket;
        return this;
    }

    public String getLabel() {
        return label;
    }

}
